%global module_name gitifyhg

Name:           gitifyhg
Version:        0.8.4
Release:        12%{?dist}
Summary:        Use git as a client for Mercurial repos
License:        GPLv3+
URL:            https://github.com/buchuki/gitifyhg
Source0:        http://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       git
Requires:       mercurial
Requires:       python2-path

%description
This git remote allows you to do local development in a git repository and push 
changes to an upstream mercurial repository. It does this seamlessly and allows 
pushing and pulling to named branches in the upstream repository.

%prep
%setup -q
rm -r *.egg-info

%build
%py2_build

%install
%py2_install

%files
%doc README.rst LICENSE.txt
%{_bindir}/git-remote-gitifyhg
%{python2_sitelib}/%{module_name}
%{python2_sitelib}/%{module_name}*.egg-info

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jul 05 2018 Dan Callaghan <dcallagh@redhat.com> - 0.8.4-10
- Fix build to explicitly use python2

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.8.4-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 18 2013 Dan Callaghan <dcallagh@redhat.com> - 0.8.4-1
- upstream bug fix release 0.8.4

* Tue Oct 08 2013 Dan Callaghan <dcallagh@redhat.com> - 0.8.3-1
- upstream bug fix release 0.8.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 06 2013 Dan Callaghan <dcallagh@redhat.com> - 0.8.2-2
- fix missing license

* Fri May 31 2013 Dan Callaghan <dcallagh@redhat.com> - 0.8.2-1
- initial version
